it throws this error when I run --profile

H:\MyApp>flutter run --profile
Profile mode is not supported by Android SDK built for x86.

but

  H:\MyApp>flutter run --debug

works perfectly.

any fixes ?


Solution 1: Pranav Ghodke

I got the same issue it got FIXED 100%

Basically flutter does not support x86 to run profile so you need to run it on x64

Follow these steps

  1. Download x64 emulator / plug into your latest android mobile which have 64bit architecture

  2. Then run this command on terminal flutter run --profile

Then, voila, your app will be install on your device


Solution 2: Paulo Belo

I had the same problem for --release mode but got solved with this:

If you want to run a release mode APK on an emulator, it needs to be one of Flutter's supported ABIs: armeabi, armeabi-v7a, or x86_64.

as seen here.

As also refered by Flutter docs:

What are the supported target architectures?

When building your application in release mode, Flutter apps can be compiled for armeabi-v7a (ARM 32-bit), arm64-v8a (ARM 64-bit), and x86-64 (x86 64-bit). Flutter does not currently support building for x86 Android.


Solution 3: Suragch

Run the app on an actual Android device and it will work in profile mode.


Solution 4: Samyush

It throws errors as the android emulators does not support --profile and --release mode yet, but if you still want to check it running on laptop then iOS simulators are the other options as it supports both of --release and --profile mode for flutter if you are using it on mac devices. But still iOS is not a option if we are developing the application for android only.


Solution 5: Halil İbrahim GÜNBULAK

AVD settings > Create new Virtual Device > Chose any Device and next > x86 Images Chose look like picture 2 > dowload any version Apı level 29 or 30 recomended

enter image description here

enter image description here